<?xml version="1.0" encoding="UTF-8"?>
<!-- (c) 2008 XBRL US Inc. All Rights Reserved. http://xbrl.us/ 
     This document may be copied and furnished to others, and derivative works that 
     comment on or otherwise explain it or assist in its implementation may be 
     prepared, copied, published and distributed, in whole or in part, without 
     restriction of any kind, provided that the above copyright notice and this
     paragraph are included on all such copies and derivative works.  XBRL is a
     registered trademark of AICPA licensed exclusively to XBRL International. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<head>
			<style>
			BODY {font-family: Arial, helvetica, sans-serif;}
			TD {font-size: .75em;}
			TH {font-size: .9em;}
			</style>
				<title/>
			</head>
			<body>
				<table cellpadding="5" cellspacing="0" border="0">
					<tr>
						<th align="left">Line</th>
						<th align="left">Source</th>
						<th align="left">Item</th>
						<th align="left">Value</th>
						<th align="left">Context</th>
					</tr>
					<xsl:apply-templates select="Report/Line"/>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="Line">
	<xsl:if test="position()  mod 2 = 1">
		<tr bgcolor="#ffffff">
			<td>
				<xsl:value-of select="Level"/>
			</td>
			<td>
				<xsl:value-of select="Source"/>
			</td>
			<td>
				<xsl:value-of select="Item"/>
			</td>
			<td>
				<xsl:value-of select="Value"/>
			</td>
			<td>
				<xsl:value-of select="Context"/>
			</td>
		</tr>
	</xsl:if>

	<xsl:if test="position()  mod 2 = 0">
		<tr bgcolor="#e2e2e2">
			<td>
				<xsl:value-of select="Level"/>
			</td>
			<td>
				<xsl:value-of select="Source"/>
			</td>
			<td>
				<xsl:value-of select="Item"/>
			</td>
			<td>
				<xsl:value-of select="Value"/>
			</td>
			<td>
				<xsl:value-of select="Context"/>
			</td>
		</tr>
	</xsl:if>

	</xsl:template>
</xsl:stylesheet>
